### Method

# Gimp Image set_selected_channels

unstable since: 3.0.0

#### Declaration [src]

    gboolean
    gimp_image_set_selected_channels (
      GimpImage* image,
      gint num_channels,
      const GimpChannel** channels
    )

#### Description [src]

Sets the specified image’s selected channels.

The channels are set as the selected channels in the image. Any previous selected layers or channels are unselected. An exception is a previously existing floating selection, in which case this procedure will return an execution error.

Available since: 3.0.0

#### Parameters

`num_channels`

  Type: `gint`

  The number of channels to select.

`channels`

  Type: An array of `GimpChannel*`

  The list of channels to select.

  The length of the array is specified in the `num_channels` argument.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.